## org.springframework.scheduling
Class SchedulingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.scheduling.SchedulingException

All Implemented Interfaces:
  Serializable

    public class SchedulingException

extends NestedRuntimeException

General exception to be thrown on scheduling failures, such as the scheduler already having shut down. Unchecked since scheduling failures are usually fatal.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`SchedulingException(String msg)` Constructor for SchedulingException.
`SchedulingException(String msg, Throwable cause)` Constructor for SchedulingException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchedulingException

    public SchedulingException(String msg)

  Constructor for SchedulingException.

  Parameters:
    `msg` - the detail message

### SchedulingException

    public SchedulingException(String msg,
                               Throwable cause)

  Constructor for SchedulingException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause (usually from using a underlying scheduling API such as Quartz)

Copyright © 2002-2008 The Spring Framework.